package com.bonus.system.index.dao;

import com.bonus.system.index.entity.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 首页-数据访问层
 * @author zys
 */
@Repository("homePageDao")
public interface HomePageDao {

    /**
     * 查询考勤情况根据日期
     * @param date 日期
     * @return bean
     */
    IndexTodayAttBean getTodayAttData(String date);

    /**
     * 今日异常统计
     * @param date 日期
     * @return bean
     */
    IndexAbnormalBean getTodayAbnormalData(String date);

    /**
     * 当月轮休、临时外出异常情况
     * @param month 月份
     * @return bean
     */
    IndexMonthAbnormalBean getMonthAbnormalData(String month);

    /**
     * 组织人员
     * @return list bean
     */
    List<IndexOrgNumBean> getOrgNumData();

    /**
     * 当月异常统计
     * @param month 月份
     * @return bean
     */
    IndexAbnormalBean getMonthAbnormalTypeData(String month);

    /**
     * 地图查询
     * @return list bean
     */
    List<MapBean> getMapData();
}
